# class REXML::ExternalEntity

### Public Class Methods

new( src ) click to toggle source
Calls superclass method `REXML::Child::new`

    # File lib/rexml/doctype.rb, line 277
    def initialize( src )
      super()
      @entity = src
    end

### Public Instance Methods

to_s() click to toggle source

    # File lib/rexml/doctype.rb, line 281
    def to_s
      @entity
    end

write( output, indent ) click to toggle source

    # File lib/rexml/doctype.rb, line 284
    def write( output, indent )
      output << @entity
    end